<?xml version="1.0" encoding="UTF-8"?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"><html xmlns="http://www.w3.org/1999/xhtml" lang="en"><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8"/><link rel="stylesheet" href="../jacoco-resources/report.css" type="text/css"/><link rel="shortcut icon" href="../jacoco-resources/report.gif" type="image/gif"/><title>Functie.java</title><link rel="stylesheet" href="../jacoco-resources/prettify.css" type="text/css"/><script type="text/javascript" src="../jacoco-resources/prettify.js"></script></head><body onload="window['PR_TAB_WIDTH']=4;prettyPrint()"><div class="breadcrumb" id="breadcrumb"><span class="info"><a href="../jacoco-sessions.html" class="el_session">Sessions</a></span><a href="../index.html" class="el_report">Test App J Hipster</a> &gt; <a href="index.source.html" class="el_package">com.theo.myjhipster.domain</a> &gt; <span class="el_source">Functie.java</span></div><h1>Functie.java</h1><pre class="source lang-java linenums">package com.theo.myjhipster.domain;


import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import org.hibernate.annotations.Cache;
import org.hibernate.annotations.CacheConcurrencyStrategy;

import javax.persistence.*;

import java.io.Serializable;
import java.util.Objects;

/**
 * A Functie.
 */
@Entity
@Table(name = &quot;functie&quot;)
@Cache(usage = CacheConcurrencyStrategy.NONSTRICT_READ_WRITE)
<span class="fc" id="L19">public class Functie implements Serializable {</span>

    private static final long serialVersionUID = 1L;
    
    @Id
    @GeneratedValue(strategy = GenerationType.SEQUENCE, generator = &quot;sequenceGenerator&quot;)
    @SequenceGenerator(name = &quot;sequenceGenerator&quot;)
    private Long id;

    @Column(name = &quot;nume_functie&quot;)
    private String numeFunctie;

    @Column(name = &quot;salariu_min&quot;)
    private Long salariuMin;

    @Column(name = &quot;salariu_max&quot;)
    private Long salariuMax;

    @ManyToOne
    @JsonIgnoreProperties(&quot;functies&quot;)
    private Angajat angajat;

    // jhipster-needle-entity-add-field - JHipster will add fields here, do not remove
    public Long getId() {
<span class="fc" id="L43">        return id;</span>
    }

    public void setId(Long id) {
<span class="fc" id="L47">        this.id = id;</span>
<span class="fc" id="L48">    }</span>

    public String getNumeFunctie() {
<span class="fc" id="L51">        return numeFunctie;</span>
    }

    public Functie numeFunctie(String numeFunctie) {
<span class="fc" id="L55">        this.numeFunctie = numeFunctie;</span>
<span class="fc" id="L56">        return this;</span>
    }

    public void setNumeFunctie(String numeFunctie) {
<span class="fc" id="L60">        this.numeFunctie = numeFunctie;</span>
<span class="fc" id="L61">    }</span>

    public Long getSalariuMin() {
<span class="fc" id="L64">        return salariuMin;</span>
    }

    public Functie salariuMin(Long salariuMin) {
<span class="fc" id="L68">        this.salariuMin = salariuMin;</span>
<span class="fc" id="L69">        return this;</span>
    }

    public void setSalariuMin(Long salariuMin) {
<span class="fc" id="L73">        this.salariuMin = salariuMin;</span>
<span class="fc" id="L74">    }</span>

    public Long getSalariuMax() {
<span class="fc" id="L77">        return salariuMax;</span>
    }

    public Functie salariuMax(Long salariuMax) {
<span class="fc" id="L81">        this.salariuMax = salariuMax;</span>
<span class="fc" id="L82">        return this;</span>
    }

    public void setSalariuMax(Long salariuMax) {
<span class="fc" id="L86">        this.salariuMax = salariuMax;</span>
<span class="fc" id="L87">    }</span>

    public Angajat getAngajat() {
<span class="fc" id="L90">        return angajat;</span>
    }

    public Functie angajat(Angajat angajat) {
<span class="nc" id="L94">        this.angajat = angajat;</span>
<span class="nc" id="L95">        return this;</span>
    }

    public void setAngajat(Angajat angajat) {
<span class="nc" id="L99">        this.angajat = angajat;</span>
<span class="nc" id="L100">    }</span>
    // jhipster-needle-entity-add-getters-setters - JHipster will add getters and setters here, do not remove

    @Override
    public boolean equals(Object o) {
<span class="fc bfc" id="L105" title="All 2 branches covered.">        if (this == o) {</span>
<span class="fc" id="L106">            return true;</span>
        }
<span class="fc bfc" id="L108" title="All 4 branches covered.">        if (o == null || getClass() != o.getClass()) {</span>
<span class="fc" id="L109">            return false;</span>
        }
<span class="fc" id="L111">        Functie functie = (Functie) o;</span>
<span class="fc bfc" id="L112" title="All 4 branches covered.">        if (functie.getId() == null || getId() == null) {</span>
<span class="fc" id="L113">            return false;</span>
        }
<span class="fc" id="L115">        return Objects.equals(getId(), functie.getId());</span>
    }

    @Override
    public int hashCode() {
<span class="fc" id="L120">        return Objects.hashCode(getId());</span>
    }

    @Override
    public String toString() {
<span class="fc" id="L125">        return &quot;Functie{&quot; +</span>
<span class="fc" id="L126">            &quot;id=&quot; + getId() +</span>
<span class="fc" id="L127">            &quot;, numeFunctie='&quot; + getNumeFunctie() + &quot;'&quot; +</span>
<span class="fc" id="L128">            &quot;, salariuMin=&quot; + getSalariuMin() +</span>
<span class="fc" id="L129">            &quot;, salariuMax=&quot; + getSalariuMax() +</span>
            &quot;}&quot;;
    }
}
</pre><div class="footer"><span class="right">Created with <a href="http://www.jacoco.org/jacoco">JaCoCo</a> 0.8.2.201808211720</span></div></body></html>